{
    // 使用 IntelliSense 了解相关属性。 
    // 悬停以查看现有属性的描述。
    // 欲了解更多信息，请访问: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        

        {
            "name": "Launch login-http",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "cwd": "${workspaceFolder}",
            "program": "${workspaceFolder}/login",
            
            
        },
        {
            "name": "Launch logic1",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "cwd": "${workspaceFolder}",
            "args": ["-port=1"],
            "program": "${workspaceFolder}/logic",
          
        },      {
            "name": "Launch logic2",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "cwd": "${workspaceFolder}",
            "args": ["-port=2"],
            
            "program": "${workspaceFolder}/logic",   "console": "integratedTerminal"
        },
              {
            "name": "Launch login-tcp",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "cwd": "${workspaceFolder}",
            "args": ["-port=0"],
            "program": "${workspaceFolder}/logic",    
        }

    ]
}